///////////////////////////////////////////////////////////////////////////////
/*! 
 *  \file GPUTest_VS.glsl
 *  \brief FragSniffer Fragment Shader.
 *  
 *  The Froggy FragSniffer.
 *	This application has been made for testing GPU fragment scheduling among 
 *  threads processors.
 *  \author C. Crassin, cyril.crassin@inrialpes.fr
 *	\date 05/03/2008
 *  \version 0.2
 */
///////////////////////////////////////////////////////////////////////////////

#version 120
#extension GL_EXT_gpu_shader4 : enable


#define BIG_TRIANGLE 0

void main(void)
{
	gl_Position=gl_Vertex;
#if BIG_TRIANGLE
	gl_Position.xy=gl_Position.xy*10000.0+vec2(2.0,0.0);
#endif
	
	gl_FrontColor=gl_Color;
	gl_TexCoord[0]=gl_MultiTexCoord0;
}
